Skip to main content

Download Daily Files

The Reporting API provides reports of any create, update or delete events that took place on a particular date for each available resource_type. There is a specific endpoint for each action that took place for the resource on that specific day.

If a particular resource has no data for a given day, a file with headers but no body is generated and made available for retrieval.

Files are generated daily at midnight (UTC), and you can begin to request them at that time; however, it can take some time for the files to finish being assembled; we recommend waiting until 01:00 UTC before requesting them.

Files are available for seven days after being generated. We recommend that you pull files daily as soon as they become available even if they are not able to process the data at that time. We don't have the ability to regenerate files once they are gone.

If a file being requested is no longer available, a 410 Gone status is returned.

GET
/download/{client_id}/{date}/{resource_type}/{action}

Path Parameters

FieldRequiredType

date

The date of the file being requested.

Required
String

resource_type

This must be one of the following resource types. See the data specs above for more information on each resource.

Required
String

action

Required
String

Request sample

Language:shell

_10
# If using curl, the output response can be saved
_10
# to a file by adding the `-o` flag and
_10
# specifying the download path and file name
_10
# (e.g. `-o 20170626-transactions-created.avro`).
_10
_10
curl -X GET https://int-logs.moneydesktop.com/download/{client_id}/2017-06-26/transactions/created -o 20170626-transactions-created.avro \
_10
-H 'Accept: application/vnd.mx.logs.v1+avro' \
_10
-H 'MD-API-KEY: {api_key}'